Home Information Classes Download Usage Mail List Requirements Links Tutorial

# Envelope Class Reference

STK envelope base class. More...

`#include <Envelope.h>`

Inheritance diagram for Envelope:

List of all members.

## Public Member Functions

| Envelope (void)
| Default constructor.
virtual | ~Envelope (void)
| Class destructor.
virtual void | keyOn (void)
| Set target = 1.
virtual void | keyOff (void)
| Set target = 0.
void | setRate (MY_FLOAT aRate)
| Set the rate.
void | setTime (MY_FLOAT aTime)
| Set the rate based on a time duration.
virtual void | setTarget (MY_FLOAT aTarget)
| Set the target value.
virtual void | setValue (MY_FLOAT aValue)
| Set current and target values to aValue.
virtual int | getState (void) const
| Return the current envelope state (0 = at target, 1 otherwise).
virtual MY_FLOAT | tick (void)
| Return one envelope output value.
virtual MY_FLOAT * | tick (MY_FLOAT *vector, unsigned int vectorSize)
| Return vectorSize envelope outputs in vector.
MY_FLOAT | lastOut (void) const
| Return the last computed output value.

## Detailed Description

STK envelope base class.

This class implements a simple envelope generator which is capable of ramping to a target value by a specified rate. It also responds to simple keyOn and keyOff messages, ramping to 1.0 on keyOn and to 0.0 on keyOff.

by Perry R. Cook and Gary P. Scavone, 1995 - 2002.

Definition at line 21 of file Envelope.h.

The documentation for this class was generated from the following file:

- Envelope.h

The Synthesis ToolKit in C++ (STK)
©1995-2004 Perry R. Cook and Gary P. Scavone. All Rights Reserved.